Skip to main content
GET
List jobs in an egocentric batch

Authorizations

Authorization
string
header
required

Bearer token authentication using your Perceptron API key

Path Parameters

batch_id
string
required

Batch identifier.

Query Parameters

limit
integer<int32>

Maximum items per page; defaults to 100.

Required range: 1 <= x <= 1000
after
string

Return items after this identifier in the same order.

Response

Job page

One page of batches or jobs.

data
object[]
required

Items on this page in the requested order.

first_id
string
required

First item's identifier, or an empty string for an empty page.

has_more
boolean
required

Whether more items follow this page in the same order.

last_id
string
required

Last item's identifier; pass it as after for the next page. Empty for an empty page.

object
string
required

Object type, always list.

Example:

"list"